package com.ruoyi.web.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.domain.dto.lotVideo.LotVideoAddRequest;
import com.ruoyi.web.domain.dto.lotVideo.LotVideoEditRequest;
import com.ruoyi.web.domain.dto.lotVideo.LotVideoQueryRequest;
import com.ruoyi.web.domain.entity.LotVideo;
import com.ruoyi.web.domain.vo.LotVideoVO;

import java.util.List;

/**
 *
 */
public interface LotVideoService extends IService<LotVideo> {
    Integer addLotVideo(LotVideoAddRequest lotDataCollectionAddRequest);

    boolean deleteLotVideo(String ids);

    void editLotVideo(LotVideoEditRequest lotVideoEditRequest);

    /**
     * 根据id获取
     *
     * @param id
     * @return
     */
    LotVideoVO getLotVideoById(int id);

    LotVideoVO getLotVideoVO(LotVideo lotDataCollection);

    /**
     * 分页获取列表
     *
     * @param lotVideoQueryRequest
     * @return
     */
    Page<LotVideoVO> getListLotVideoByPage(LotVideoQueryRequest lotVideoQueryRequest);

    /**
     * 获取查询条件
     *
     * @param lotVideoQueryRequest
     * @return
     */
    QueryWrapper<LotVideo> getQueryWrapper(LotVideoQueryRequest lotVideoQueryRequest);

    List<LotVideo> listLotVideo(LotVideoQueryRequest lotVideoQueryRequest);

    void removeAll();
}
